package io.zipcoder.casino;


import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class DiceTest {

    @Test
    public void getSumTest1(){
        Dice dice = new Dice(2);
        int expected = 6;
        int actual = dice.getSum();
        assertEquals(expected, actual, 6);
    }

    @Test
    public void getSumTest2(){
        Dice dice = new Dice(5);
        int expected = 13;
        int actual = dice.getSum();
        assertEquals(expected, actual, 12);
    }

    @Test
    public void getEachTest1(){
        Dice dice = new Dice(2);
        int expected = 3;
        int actual = dice.getEach()[1];
        assertEquals(expected, actual, 3);
    }

    @Test
    public void getEachTest2(){
        Dice dice = new Dice(6);
        int expected = 3;
        int actual = dice.getEach()[3];
        assertEquals(expected, actual, 3);
    }
}
